New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#1927 (Name pattern of icebergs restarts doesn't follow usual NEMO conventions) – NEMO

Opened 5 years ago

Closed 3 years ago

Last modified 2 years ago

#1927 closed Defect (fixed)

Name pattern of icebergs restarts doesn't follow usual NEMO conventions

Reported by: nicolasmartin Owned by: mathiot
Priority: low Milestone:
Component: OCE Version: trunk
Severity: minor Keywords: ICB
Cc:

Description

Context & analysis


Trusting script doesn't manage the new type of restarts for icebergs as it is intended to work with the initial pattern "{cn_exp}_{nn_it}_restart*".
But the new filename is a bit awkward with "{cn_exp}_icebergs_{nn_it}_restart*".

Recommendation


Replace 'icebergs' string by 'icb' and put it at the end of the filename like the other restarts: '*_restart.nc' , '*_restart_ice.nc', '*_restart_trc.nc' and so '*restart_icb.nc'

Commit History (7)

ChangesetAuthorTimeChangeLog
13385mathiot2020-08-06T12:10:50+02:00

ticket #1927: forgot to delete the dev branch when I closed the ticket

12542mathiot2020-03-12T18:16:24+01:00

ticket #1927 was closed 2 weeks ago, branch no longer needed

12474mathiot2020-02-26T17:42:33+01:00

merge sette_ticket1927 to sette (ticket #1927)

12473mathiot2020-02-26T17:40:59+01:00

update sette_ticket1927 to head of sette (ticket #1927)

12471mathiot2020-02-26T17:32:28+01:00

update to the head of the trunk (ticket #1927)

12457mathiot2020-02-25T16:42:01+01:00

change due to icb restart name change (consistent with ice/trc restart name) (ticket #1927)

12446mathiot2020-02-24T16:04:00+01:00

branch for ticket #1927 (iceberg restart name)

Change History (13)

comment:1 Changed 5 years ago by nicolasmartin

  • Owner changed from nemo to nicolasmartin
  • Status changed from new to assigned

comment:2 Changed 3 years ago by smasson

  • Owner changed from nicolasmartin to mathiot
  • Severity set to minor

comment:3 Changed 3 years ago by mathiot

In 12446:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:4 Changed 3 years ago by mathiot

In 12456:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:5 Changed 3 years ago by mathiot

In 12457:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:6 Changed 3 years ago by andmirek

Changes look OK. In sette BATCH TEMPLATES Pierre also made modifications improving handling XIOS in Met Office.

comment:7 Changed 3 years ago by mathiot

In 12471:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:8 Changed 3 years ago by mathiot

In 12472:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 3 years ago by mathiot

In 12473:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:10 Changed 3 years ago by mathiot

In 12474:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 3 years ago by mathiot

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:12 Changed 3 years ago by mathiot

In 12542:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 2 years ago by mathiot

In 13385:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found
Note: See TracTickets for help on using tickets.